As reported in the news, two serious security vulnerabilities have been identified that affect CPUs used in the large majority of computer systems and servers worldwide. Known as ‘Meltdown’ and ‘Spectre’, these vulnerabilities are industry-wide and impact a large proportion of computer services including SaaS providers, like ourselves.

We would like to assure you that we are taking all available steps to safeguard our platform and PlaidCloud customer data. Our Security Operations and Security Engineering teams are monitoring the information that is released around the affected hardware and we have evaluated PlaidCloud’s exposure.

We intend to patch these vulnerabilities, and expect to have our patch remediation plan finalized in the coming days. Due to the comprehensive impact of these security vulnerabilities we will be patching systems as quickly as possible and may not provide significant lead times before system outages. We apologize up front for this but we feel that the security of the systems and your data require immediate action that may provide a short-term inconvenience.

We take platform and customer security very seriously, and will continue to monitor and address these security threats as they arise.

Have questions or looking for an update? Visit PlaidCloud Help.

Remember, you can always check the status of PlaidCloud at our Status Page.

Best regards,
Paul Morel